org.apache.lucene.index

## Class BaseTermVectorsFormatTestCase.RandomDocument

- java.lang.Object
- - org.apache.lucene.index.BaseTermVectorsFormatTestCase.RandomDocument

- Enclosing class:
    BaseTermVectorsFormatTestCase

      protected class BaseTermVectorsFormatTestCase.RandomDocument
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RandomDocument(int fieldCount, int maxTermCount, BaseTermVectorsFormatTestCase.Options options, String[] fieldNames, String[] sampleTerms, BytesRef[] sampleTermBytes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `toDocument()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomDocument

          protected RandomDocument(int fieldCount,
                                   int maxTermCount,
                                   BaseTermVectorsFormatTestCase.Options options,
                                   String[] fieldNames,
                                   String[] sampleTerms,
                                   BytesRef[] sampleTermBytes)

  - ### Method Detail

    - #### toDocument

          public Document toDocument()

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.